#import "MyView.h"

@implementation MyView

- (BOOL)knowsPageRange:(NSRangePointer)range
{
	range->location = 1;
    range->length = 1;
	return YES;
}

- (NSRect)rectForPage:(int)page
{
	NSPrintOperation *op = [NSPrintOperation currentOperation];
	NSPrintInfo *pInfo = [op printInfo];
	[self setFrame:NSMakeRect(0,0,[pInfo paperSize].width,[pInfo paperSize].height)];
	[self setBounds:NSMakeRect(0,0,[pInfo paperSize].width,[pInfo paperSize].height)];
	return NSMakeRect(0,0,[pInfo paperSize].width,[pInfo paperSize].height);
}

- (void) drawRect:(NSRect) rect
{
	[[NSColor redColor] set];
	[NSBezierPath fillRect:rect];
}

@end
